Functions
Port Configuration
Peripheral Driver » LL Driver » AON_GPIO » Functions

## Functions
__STATIC_INLINE void | ll_aon_gpio_set_pin_mode (uint32_t pin_mask, uint32_t mode)
| Set several AON_GPIO pins to input/output mode. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_mode (uint32_t pin)
| Return gpio mode for a AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_pull (uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated AON_GPIO pin. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_pull (uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_mux_pin_0_7 (uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_mux_pin_0_7 (uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE void | ll_aon_gpio_enable_xo_2mhz_output (void)
| Enable Xo_2MHz output on AON_GPIO_PIN5. More...
__STATIC_INLINE void | ll_aon_gpio_disable_xo_2mhz_output (void)
| Disable Xo_2MHz output on AON_GPIO_PIN5. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_xo_2mhz_output (void)
| Check if Xo_2MHz output on AON_GPIO_PIN5 is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_gpio_disable_xo_2mhz_output()

__STATIC_INLINE void ll_aon_gpio_disable_xo_2mhz_output | ( | void |  | ) |

Disable Xo_2MHz output on AON_GPIO_PIN5.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XO_2MHZ_ENA | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 522 of file gr55xx_ll_aon_gpio.h.

## ◆ ll_aon_gpio_enable_xo_2mhz_output()

__STATIC_INLINE void ll_aon_gpio_enable_xo_2mhz_output | ( | void |  | ) |

Enable Xo_2MHz output on AON_GPIO_PIN5.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XO_2MHZ_ENA | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 504 of file gr55xx_ll_aon_gpio.h.

## ◆ ll_aon_gpio_get_mux_pin_0_7()

__STATIC_INLINE uint32_t ll_aon_gpio_get_mux_pin_0_7 | ( | uint32_t | pin | ) |

Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_MUX_CTRL | CTRL0_7 | +———————-+———————————–+ \endrst AON_PAD_CTL_0 | MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_MUX_0 LL_AON_GPIO_MUX_1 LL_AON_GPIO_MUX_2 LL_AON_GPIO_MUX_3 LL_AON_GPIO_MUX_4 LL_AON_GPIO_MUX_5 LL_AON_GPIO_MUX_6 LL_AON_GPIO_MUX_7 LL_AON_GPIO_MUX_8

Definition at line 478 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_MUX_7.

## ◆ ll_aon_gpio_get_pin_mode()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_mode | ( | uint32_t | pin | ) |

Return gpio mode for a AON_GPIO pin.

Note
  I/O mode can be Input mode. General purpose output.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_CTL1 | AON_GPO_OE_N | +———————-+———————————–+ \endrst

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_MODE_INPUT LL_AON_GPIO_MODE_OUTPUT

Definition at line 316 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_MODE_INPUT, and LL_AON_GPIO_MODE_OUTPUT.

## ◆ ll_aon_gpio_get_pin_pull()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_pull | ( | uint32_t | pin | ) |

Return gpio pull-up or pull-down for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_CTL0 | GPO_RE_N | +———————-+———————————–+ \endrst AON_PAD_CTL0 | GPO_RTYPE

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_PULL_NO LL_AON_GPIO_PULL_UP LL_AON_GPIO_PULL_DOWN

Definition at line 388 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_PULL_DOWN, LL_AON_GPIO_PULL_NO, and LL_AON_GPIO_PULL_UP.

## ◆ ll_aon_gpio_is_enabled_xo_2mhz_output()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_xo_2mhz_output | ( | void |  | ) |

Check if Xo_2MHz output on AON_GPIO_PIN5 is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XO_2MHZ_ENA | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 540 of file gr55xx_ll_aon_gpio.h.

## ◆ ll_aon_gpio_set_mux_pin_0_7()

__STATIC_INLINE void ll_aon_gpio_set_mux_pin_0_7 | ( | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_MUX_CTRL | CTRL0_7 | +———————-+———————————–+ \endrst AON_PAD_CTL_0 | MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7
  mux | This parameter can be one of the following values: LL_AON_GPIO_MUX_0 LL_AON_GPIO_MUX_1 LL_AON_GPIO_MUX_2 LL_AON_GPIO_MUX_3 LL_AON_GPIO_MUX_4 LL_AON_GPIO_MUX_5 LL_AON_GPIO_MUX_6 LL_AON_GPIO_MUX_7 LL_AON_GPIO_MUX_8

Return values

  None |

Definition at line 432 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_MUX_7.

## ◆ ll_aon_gpio_set_pin_mode()

__STATIC_INLINE void ll_aon_gpio_set_pin_mode | ( | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several AON_GPIO pins to input/output mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_CTL1 | AON_GPO_OE_N | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_AON_GPIO_MODE_INPUT LL_AON_GPIO_MODE_OUTPUT

Return values

  None |

Definition at line 282 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_MODE_INPUT.

## ◆ ll_aon_gpio_set_pin_pull()

__STATIC_INLINE void ll_aon_gpio_set_pin_pull | ( | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_CTL0 | GPO_RE_N | +———————-+———————————–+ \endrst AON_PAD_CTL0 | GPO_RTYPE

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  pull | This parameter can be one of the following values: LL_AON_GPIO_PULL_NO LL_AON_GPIO_PULL_UP LL_AON_GPIO_PULL_DOWN

Return values

  None |

Definition at line 352 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_PULL_NO, and LL_AON_GPIO_PULL_UP.